package com.example.interfaces;

public class Bird implements Fly {

	private int feet = 2;
	private String color;

	public Bird(String color) {
		this.color = color;
	}

	public int getFeet() {
		return feet;
	}

	public String getColor() {
		return color;
	}

	@Override
	public void takeoff() {
		System.out.println("Bird does not take off, they just fly...");
	}

	@Override
	public void flying() {
		System.out.println("Birds are happily flying up in the sky...");
	}

	@Override
	public void landing() {
		System.out.println("When tired, bird lands on tree branch.");
	}

}
